### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-multiselect/ecl-select-option.directive.ts`

### Implements

`OnDestroy` `OnChanges`

### Metadata

Selector | `option[eclSelectOption]`

### Index

###### Properties

- changes

###### Methods

- getHostElement

###### Inputs

- disabled
- label
- selected
- value

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(elRef: ElementRef)`

Parameters :

Name | Type | Optional
elRef | `ElementRef` | No

### Inputs

disabled
Type : `boolean`
Default value : `false`

label
Type : `string`

selected
Type : `boolean`
Default value : `false`

value
Type : `string`

### HostBindings

class
Type : `any`

### Methods

getHostElement
`getHostElement()`
Returns : `HTMLSelectElement`

### Properties

changes
Default value : `new Subject()`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""